/**
 * Example of how to define functions/handlers to be used in TCB services.
 * 
 * The services examples use the functions/handlers defined in this example.
 *
 * @author Paulo Sousa
 */

/* functions exported by DLL */

//TimelyExecution service
extern "C" __declspec(dllexport) void timely_example(void);
extern "C" __declspec(dllexport) int timely_example_wcet(void);

//LocalFailureDetection service
extern "C" __declspec(dllexport) void localFD_example(void);
extern "C" __declspec(dllexport) int localFD_example_wcet(void);

//DistributedFailureDetection service
extern "C" __declspec(dllexport) void distFD_example(unsigned long from, int seq);
extern "C" __declspec(dllexport) int distFD_example_wcet(void);

//RemoteDistributedFailureDetection service
extern "C" __declspec(dllexport) void remote_distFD_example(unsigned long from, int seq);
extern "C" __declspec(dllexport) int remote_distFD_example_wcet(void);



